cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
1588
Views
0
Helpful
10
Replies
RICHARD MESSINGER
Rising star

TMS Automatic Software Upgrade

Have a customer with a new TMS 15.3 installation

He is getting an error when the system is trying to connect and get software upgrades. 

I think this is a credential issue because I can reach cisco.com from the server.

I am not finding where within the configuration I add a CCO credentials for the system to connect.

Where did I miss this?

Thanks

1 ACCEPTED SOLUTION

Accepted Solutions

May or may not be related, but if the endpoints are running TC6.1 or later (including endpoints running CE software), TMS will not automatically download software for them, see the New Software Download Procedure for TelePresence Endpoints running TC Software.

Regarding the "MCS8010", I don't recognize that name, do you by chance mean "MSE 8000" or one of it's various blades maybe?  In the case infrastructure systems, TMS doesn't automatically download software for them, as those devices are upgraded manually by the user.

View solution in original post

10 REPLIES 10

The automatic software update service that TMS uses doesn't require authentication.

What error are you seeing in TMS in regards to the software update service?

What endpoints are you trying to upgrade, and what is their current software versions?

Here is the error


The background event could not complete successfully due to an error.
Description: Check for Software Updates
Start Time: 1/31/2017 12:00 AM
Completed Time: 1/31/2017 12:01 AM
Failure Reason: Update check failed. Please see system logs for details. Note that TMS must have internet access to contact the software update service.

Could be a number of things, have you checked the TMS diagnostic logs to see what the issue might be?

Pat

will check when i get to a network connection

thanks

Pat,

Here is the log file I think you are looking for.

Appreciate your feedback.

If there is a different log, let me know.

Looks like something is stopping your TMS from making a connection, someone a few years back had a similar issue, though they didn't post what the issue was.  If you take a look at their thread, tms-automatic-software-update-fails, going by what Mangus mentions, try taking a Wireshark trace from your TMS server.

Also, what endpoints are you trying to upgrade?

Pat, I have SX10''s and SX20's plus an MCS8010.

Also an EX60 and a C40

May or may not be related, but if the endpoints are running TC6.1 or later (including endpoints running CE software), TMS will not automatically download software for them, see the New Software Download Procedure for TelePresence Endpoints running TC Software.

Regarding the "MCS8010", I don't recognize that name, do you by chance mean "MSE 8000" or one of it's various blades maybe?  In the case infrastructure systems, TMS doesn't automatically download software for them, as those devices are upgraded manually by the user.